### Hierarchy

- AbstractClientBase

## Index

### Constructors

- constructor

### Methods

- rpcCall
- serverStreaming
- thenableCall

## Constructors

### constructor

- new AbstractClientBase(): AbstractClientBase

- #### Returns AbstractClientBase

## Methods

### rpcCall

- rpcCall<REQ, RESP>(method: string, request: REQ, metadata: Metadata, methodDescriptor: MethodDescriptor <REQ, RESP>, callback: (err: RpcError, response: RESP) => void): ClientReadableStream <RESP>

- - Defined in node_modules/grpc-web/index.d.ts:13

  #### Type parameters

  - #### REQ

  - #### RESP

  #### Parameters

  - ##### method: string

  - ##### request: REQ

  - ##### metadata: Metadata

  - ##### methodDescriptor: MethodDescriptor <REQ, RESP>

  - ##### callback: (err: RpcError, response: RESP) => void

    - - (err: RpcError, response: RESP): void

      - #### Parameters

        - ##### err: RpcError

        - ##### response: RESP

        #### Returns void

  #### Returns ClientReadableStream <RESP>

### serverStreaming

- serverStreaming<REQ, RESP>(method: string, request: REQ, metadata: Metadata, methodDescriptor: MethodDescriptor <REQ, RESP>): ClientReadableStream <RESP>

- - Defined in node_modules/grpc-web/index.d.ts:21

  #### Type parameters

  - #### REQ

  - #### RESP

  #### Parameters

  - ##### method: string

  - ##### request: REQ

  - ##### metadata: Metadata

  - ##### methodDescriptor: MethodDescriptor <REQ, RESP>

  #### Returns ClientReadableStream <RESP>

### thenableCall

- thenableCall<REQ, RESP>(method: string, request: REQ, metadata: Metadata, methodDescriptor: MethodDescriptor <REQ, RESP>): Promise<RESP>

- - Defined in node_modules/grpc-web/index.d.ts:6

  #### Type parameters

  - #### REQ

  - #### RESP

  #### Parameters

  - ##### method: string

  - ##### request: REQ

  - ##### metadata: Metadata

  - ##### methodDescriptor: MethodDescriptor <REQ, RESP>

  #### Returns Promise<RESP>

Generated using TypeDoc